Jump to content

Ati mobility radeon x600


  • Please log in to reply
3 replies to this topic

#1
DionisOsX

DionisOsX

    InsanelyMac Protégé

  • Members
  • Pip
  • 6 posts
Are there any ways to allow work properly my ATI mobility radeon X600 with my ideneb???
I'd really appreciate some help.
I have already installed Callisto drivers and fixed my screen resolution, but still some annoying problems with the mouse cursor...

#2
Slice

Slice

    InsanelyMacaholic

  • Local Moderators
  • 2,973 posts
  • Gender:Male
  • Location:Moscow

Are there any ways to allow work properly my ATI mobility radeon X600 with my ideneb???
I'd really appreciate some help.
I have already installed Callisto drivers and fixed my screen resolution, but still some annoying problems with the mouse cursor...

You probably need to make binary patch of ATIRadeon9700.kext for your DeviceID.

#3
stonent

stonent

    InsanelyMac Protégé

  • Just Joined
  • Pip
  • 2 posts
The radeon 9700 drivers in Leopard are PPC only. Intel Radeon 9x00 support was dropped in Leopard.

Spockers had posted that in a very early Leopard build they had Radeon 9x00 extensions that were Intel and PPC. I don't know if they were ever posted.

#4
patattack120

patattack120

    InsanelyMac Protégé

  • Members
  • Pip
  • 2 posts
Hello, I believe I've got one of the missing links to the puzzle: How to get QE/CI or even OpenGL working on cards using the ATIRadeon9700.kext drivers in Leopard.

As we already know, they wrote Universal Binaries for most Radeon chipsets throughout Tiger. Then, just to stick it to the OSx86 Community, Apple released an incomplete set of Radeon 9700 drivers in Leopard for the Intel platform. In both builds I've used (ToH & Kalyway), ATIRadeon9700.kext, ATIRadeon9700DVDDriver.bundle and ATIRadeon9700GA.plugin are Universal Binaries while ATIRadeon9700GLDriver.bundle and ATIRadeon9700VADriver.bundle are PPC Only.

The 9A241 Leopard Preview DVD for PPC has Universal Binaries for all drivers in the ATIRadeon9700 set. It also happens to have Universal Binary drivers for ATIRadeon, ATIRadeon8500, ATIRage128 and ATIRagePro chipsets, where the Rage series cards have no drivers at all beyond the preview release, like the Intel 830 Graphics Chipset only had support in Tiger developer releases.

My preliminary tests are not entirely successful, BUT I have NOT added Natit, Callisto or AGPGart yet. In order for OpenGL to do anything thru hardware, ATIRadeon9700GLDriver.bundle and ATIRadeon9700VADriver.bundle must both be Universal and they must match versions with the ATIRadeon9700.kext and associated subdrivers from 9A241 that you intend to use. If you have access to a 9A241 DVD and Pacifist, DON'T copy the OpenGL.framework over 10.5.2 (or whatever you're using) because Loginwindow will hang at the Darwin bootup screen. If your Device ID is in the kext's info.plist, then it will try starting up in Quartz Extreme as long as all ATI drivers you're using (Radeon, Radeon8500 or Radeon9700) are Version 1.5.0.3 (3907) and if you're experimenting on the Rage128 like me, Version 1.5.0.0 (3322). The Rage and Radeon drivers always have different version numbering.

The Results: With the parameters above, your Radeon9700-series card will boot into the GUI using Hardware OpenGL, but the display will be corrupted... but it is still more than the stock drivers provide, having led us to believe that all those Radeon cards are useless in Leopard... I think Apple stuck those files in the developer build purposely, hoping someone would find them, but it seems that nobody else ever tried going this far once they found out about the PPC-only drivers...

I encourage those with x300, x600, x1050, Radeon Mobility 9000 and 7500 cards to try messing around with the drivers in the attached disk image. I packaged all 9A241 ATI Drivers into one image, so anyone with more experience than I can maybe get that Radeon Mobility 9000 working after 8 years, or continue the Radeon Mobility 7500's winning streak that started with Tiger... maybe even DVD Playback?

It is possible that certain things are unimplemented in the driver. Previously, I tried switching the binary within the 10.5.2 Kalyway ATIRadeonX1000GLDriver.bundle into the 10.5.2 Kalyway ATIRadeon9700GLDriver.bundle on a suggesstion of another poster, but also got a similar corrupted screen, but the Hardware OpenGL did try to initialize. I just hope the Radeon9700GLDriver from 9A241 isn't a "re-badged" ATIRadeonX1000GLDriver in disguise like I previously had tried in a Kalyway which I erased. If anyone has tried that experiment, comparing the two binaries might reveal if it's dead-end trap. Please post any experimental results!

Attached File  ATI_Universal_Leo_Drivers_9A241.dmg   6.95MB   180 downloads

If you are using Rage 128 cards like I do sometimes, you need IOPCIFamily.kext version 2.1 from the 9A241 build, included below. The Radeons don't seem to require it. Please Note that this version is NOT to be confused with IOPCIFamily 2.1 from the 10.4.8 Intel Combo Update!

Attached File  IOPCIFamily_v.2.1_from_9A241.zip   94.88KB   38 downloads

Please see my other post for more information...

Edited by patattack120, 03 May 2011 - 06:08 AM.






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

© 2014 InsanelyMac  |   News  |   Forum  |   Downloads  |   OSx86 Wiki  |   Mac Netbook  |   PHP hosting by CatN  |   Designed by Ed Gain  |   Logo by irfan  |   Privacy Policy